import { useEffect } from "react";
import { Flex, Tabs } from "antd";
import styles from "./index.less";
import { Graph } from "@antv/x6";
export default function Content() {
  useEffect(() => {
    const graph = new Graph({
      container: document.getElementById("graph-container")!,
      width: 1575,
      height: 900,
      grid: {
        visible: true,
        type: "mesh",
        args: {
          color: "#ddd", // 网格线颜色
          thickness: 1, // 网格线宽度
        },
      },
      background: {
        color: '#F2F7FA',
      },
      interacting: {
        edgeLabelMovable: false,
        nodeMovable: false,
        edgeMovable: false,
      },
    });
  }, []);

  return (
    <Flex className="h-full">
      <div className={styles.leftPanel}>
        <Tabs centered>
          <Tabs.TabPane key="1" tab="图形库">
            图形库
          </Tabs.TabPane>
          <Tabs.TabPane key="2" tab="风格">
            风格
          </Tabs.TabPane>
        </Tabs>
      </div>
      <div className={styles.designLayout}>
        <div id="graph-container"></div>
      </div>
    </Flex>
  );
}
