import { Layout } from 'antd';
import MenuBar from './components/MenuBar';
import ToolBar from './components/ToolBar';
import Footer from './components/Footer';
import Config from './components/Config';
import Content from './components/Content';
import styles from './index.less';
export default function HomePage() {
  return (
    <Layout className={styles.layout}>
      {/* 菜单栏 */}
      <Layout.Header className={styles.header}>
        <MenuBar />
      </Layout.Header>

      {/* 工具栏 */}
      <ToolBar/>

      <Layout.Content className={styles.content}>
        <Layout className='h-full'>
          <Layout.Content className={styles.content}>
            <div className={styles.contentCenter}>
              <Content/>
            </div>
            <Footer/>
          </Layout.Content>
          {/* 右侧配置表单 */}
          <Layout.Sider className={styles.config}>
            <Config/>
          </Layout.Sider>
        </Layout>
      </Layout.Content>
    </Layout>
  );
}
